Tasks

List Task Executions

List task executions

get
/v1/task/{taskId}/execution/list

Authorization

ChatBotKit API Secret * Required

HTTP Authorization Scheme: bearer

Path Parameters

taskIdstring* Required

The ID of the task

cursorstring

The cursor to use for pagination

orderstring

The order of the paginated items

takeinteger

The number of items to retrieve

statusstring

Filter by execution status

metaobject

Key-value pairs to filter by metadata

import { ChatBotKit } from '@chatbotkit/sdk'

const cbk = new ChatBotKit({

secret: process.env.CHATBOTKIT_API_KEY!

})

const response = await cbk.task.execution.list(

taskId
)
{
"items":[
{
"name":"string",
"description":"string",
"meta":"object",
"id":"string",
"createdAt":"number",
"updatedAt":"number",
"taskId":"string",
"conversationId":"string",
"status":"string",
"outcome":"string",
"summary":"string",
"completedAt":"string"
}
],
"cursor":"string"
}
The list of task executions was retrieved successfully